import _mergeJSXProps from "@vue/babel-helper-vue-jsx-merge-props";
import "core-js/modules/es.function.name.js";
import { defineComponent } from 'vue-demi';
import { DualAxes } from '@antv/g2plot';
import BaseChart from '../../components/base';
var DualAxesChart = defineComponent({
  name: 'DualAxesChart',
  setup: function setup(props, ctx) {
    var h = this.$createElement;
    return function () {
      return h(BaseChart, _mergeJSXProps([{
        "attrs": {
          "chart": DualAxes
        }
      }, ctx.attrs, {}, props]));
    };
  }
});
/* istanbul ignore next */

DualAxesChart.install = function (app) {
  app.component(DualAxesChart.name, DualAxesChart);
};

export default DualAxesChart;